#
# spec file for package telepathy-kde
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           telepathy-kde
Version:        0.9.0
Release:        5.1
Summary:        Telepathy KDE meta package
License:        GPL-2.0+
Group:          Productivity/Networking/Instant Messenger
Url:            https://projects.kde.org/telepathy
BuildRequires:  ktp-accounts-kcm
BuildRequires:  ktp-approver
BuildRequires:  ktp-auth-handler
BuildRequires:  ktp-common-internals
BuildRequires:  ktp-contact-list
BuildRequires:  ktp-contact-runner
BuildRequires:  ktp-desktop-applets
BuildRequires:  ktp-filetransfer-handler
BuildRequires:  ktp-icons
BuildRequires:  ktp-kded-module
BuildRequires:  ktp-send-file
BuildRequires:  ktp-text-ui
BuildRequires:  mjpegtools
BuildRequires:  telepathy-gabble
BuildRequires:  telepathy-haze
Requires:       ktp-accounts-kcm
Requires:       ktp-approver
Requires:       ktp-auth-handler
Requires:       ktp-common-internals
Requires:       ktp-contact-list
Requires:       ktp-contact-runner
Requires:       ktp-desktop-applets
Requires:       ktp-filetransfer-handler
Requires:       ktp-icons
Requires:       ktp-kded-module
Requires:       ktp-send-file
Requires:       ktp-text-ui
Requires:       mjpegtools
Requires:       telepathy-gabble
Requires:       telepathy-mission-control
%if 0%{?suse_version} < 1314
BuildRequires:  ktp-call-ui
Requires:       ktp-call-ui
%endif
BuildArch:      noarch

%description
This is a meta-package which will install the KDE telepathy modules.

%prep
cat > README.META << EOF
This is a meta-package which will install all the kde telepathy modules.
EOF

%build

%install

%files
%defattr(-, root, root)
%doc README.META

%changelog
* Fri Jul 24 2015 mlin@suse.com
- Do not require ktp-call-ui on 42
* Sat Oct 18 2014 hrvoje.senjan@gmail.com
- Update to 0.9 Final:
  * Bugfixes since beta release, no upstream changelog
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 0.8.80 (0.9 beta):
  * OTR support
  * Improved group chats
  * Modernised video chats, now based on GStreamer 1.0
  * Lots of fixes and speed improvements
* Sat Apr 26 2014 hrvoje.senjan@gmail.com
- Update to 0.8.1:
  * New bugfix release, no upstream changelog
* Sat Mar 29 2014 mailaender@opensuse.org
- Update to final 0.8
  * For more details, see:
    http://martys.typepad.com/blog/2014/03/kde-telepathy-08-is-out.html
* Wed Jan 15 2014 hrvoje.senjan@gmail.com
- Update to final 0.7.1
  * New feature release, no upstream changelog
  * For more details, see:
    http://martys.typepad.com/blog/2014/01/kde-telepathy-071-released.html
* Mon Oct 28 2013 hrvoje.senjan@gmail.com
- Update to 0.7.0
* Thu Aug 15 2013 toddrme2178@gmail.com
- Update to version 0.6.3
- Add BuildRequires so it won't build if the dependencies are
  missing
* Sat May 25 2013 hrvoje.senjan@gmail.com
- Update to version 0.6.2
* Wed Apr 17 2013 alinm.elena@gmail.com
- updated to version 0.6.1
* Wed Nov 30 2011 cgiboudeaux@gmx.com
- Change telepathy-kde into a meta package
* Thu Jun 16 2011 cgiboudeaux@gmx.com
- Initial import.
